Bug 431143 - language reconfig page does not work, should be removed
language reconfig page does not work, should be removed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-language (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks: RHEL5u2_relnotes RHEL5u3_relnotes
  Show dependency treegraph
 
Reported: 2008-01-31 18:31 EST by Chris Lumens
Modified: 2008-11-18 19:34 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0445
Doc Type: Bug Fix
Doc Text:
(all architectures) The firstboot language plugin has been removed, as it does not properly and completely reconfigure the system when a new language is selected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:54:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Lumens 2008-01-31 18:31:11 EST
In reconfig mode, the language page is currently broken and misleading.  It's
broken in that if you pick a language other than the one you installed with,
firstboot gets confused and does not handle navigation appropriately.  Despite
multiple attempts to correct this, I have not been able to arrive at a fix due
to the complexity and opacity of the firstboot navigation code.  Patches to
correct it have worked, but have broken the RHN plugin as well.

Further, the language screen is misleading.  While it allows you to change your
system language, it does not allow the installation of any language packages. 
So say you chose a new language.  If the person who installed the system did not
anticipate your language needs and select those packages for installation, you
will not have them present.  Therefore the new language you select will be
available and some programs will support displaying in that language, but other
programs (notably large ones like Firefox, OpenOffice, etc.) will not.  This
seems misleading to me.

For these two reasons, I propose removing the language selection screen from
reconfig mode in firstboot.  The system still allows changing your language both
on a system-wide basis and an individual user basis from the UI tools.  Separate
tools allow for installing the appropriate language packs.  I feel this is a
reasonable workaround for the problem created by removing this screen from
firstboot.

Doing this will require a release note which I will attach to this bug report in
the future.
Comment 1 RHEL Product and Program Management 2008-01-31 18:37:26 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Don Domingo 2008-01-31 19:39:36 EST
thanks Chris. will wait for your release note content for this issue. setting
requires_release_notes to ?, pending release note content.
Comment 4 Chris Lumens 2008-02-05 16:29:42 EST
Taking ownership of this one again...
Comment 13 Don Domingo 2008-03-06 18:31:47 EST
errata text added to RHEL5.2 release notes under "Installation-Related Notes".
thanks!
Comment 15 Don Domingo 2008-04-01 22:14:27 EDT
Hi,
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:
http://intranet.corp.redhat.com/ic/intranet/RHEL5u2relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don
Comment 16 errata-xmlrpc 2008-05-21 12:54:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0445.html
Comment 17 Ryan Lerch 2008-08-06 22:08:38 EDT
Tracking this bug for the Red Hat Enterprise Linux 5.3 Release Notes.
Comment 18 Ryan Lerch 2008-08-06 22:08:38 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Note You need to log in before you can comment on or make changes to this bug.